﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ValenceRenderer_CSharp
{
    public partial class frmOptions : Form
    {
        
        public frmOptions()
        {
            InitializeComponent();
        }

        public void Execute()
        {
            try
            {
                txtMarkerSize.Text = Convert.ToString(DrawValence.m_markerSymbolSize);
                txtTextSize.Text = Convert.ToString(DrawValence.m_markerTextSize);

                if (DrawValence.m_showGenericJunctions == true)
                    chkGenericJunctions.Checked = true;
                else
                    chkGenericJunctions.Checked = false;

                this.ShowDialog();
            }
            catch { }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            { 
                if (IsNumeric(txtMarkerSize.Text)) 
                {
                    double markerSize = Convert.ToDouble(txtMarkerSize.Text);
                    DrawValence.m_markerSymbolSize = markerSize;
                }

                if (IsNumeric(txtTextSize.Text))
                {
                    double textSize = Convert.ToDouble(txtTextSize.Text);
                    DrawValence.m_markerTextSize = textSize;
                }

                DrawValence.m_showGenericJunctions = (chkGenericJunctions.Checked == true);

                this.Close();
            }
            catch
            { }
        }

        private bool IsNumeric(string value)
        {
            bool result = false;

            try
            {
                double number = Convert.ToDouble(value);
                result = true;
            }
            catch { }

            return result;
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
